WaitKitWaitKit
API

Projects

Management API for project CRUD operations.

The Projects API manages your waitkit projects. These endpoints require session authentication (browser session from the dashboard).

List projects

curl https://api.waitkit.dev/api/project \
  -H "Cookie: <session>"

Returns paginated projects for the authenticated user.

Create project

curl -X POST https://api.waitkit.dev/api/project \
  -H "Content-Type: application/json" \
  -H "Cookie: <session>" \
  -d '{"name": "My App", "slug": "my-app"}'

Get project

curl https://api.waitkit.dev/api/project/<projectId> \
  -H "Cookie: <session>"

Update project

curl -X PUT https://api.waitkit.dev/api/project/<projectId> \
  -H "Content-Type: application/json" \
  -H "Cookie: <session>" \
  -d '{"name": "Updated Name"}'

Delete project

curl -X DELETE https://api.waitkit.dev/api/project/<projectId> \
  -H "Cookie: <session>"

Soft-deletes the project. The project can be recovered by contacting support.

On this page